#ifndef CGEN2LOCKDIALOG_H
#define CGEN2LOCKDIALOG_H

#include <QDialog>
#include <ui_CGen2LockDialog.h>
#include "../../../ui/ConfigDialog.h"

#include <QrfeReaderInterfaceGlobal>

class QrfeGen2Tag;

class CGen2LockDialog : public QDialog, ConfigDialog
{
    Q_OBJECT

public:
    CGen2LockDialog(QWidget *parent = 0);
    ~CGen2LockDialog();

public slots:
    int exec(QrfeGen2Tag* tag);

    void tryAccept();

	void loadDescription();
	void shrink();

private:
    Ui::CGen2LockDialogClass ui;

    QrfeGen2Tag*	m_tag;
    QStringList 	m_descriptions;
};

#endif // CGEN2LOCKDIALOG_H
